javax.swing.event

## Interface RowSorterListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    JTable

      public interface RowSorterListener
      extends EventListener

  `RowSorterListener`s are notified of changes to a `RowSorter`.
  Since:
    1.6
  See Also:
    `RowSorter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sorterChanged(RowSorterEvent e)` Notification that the `RowSorter` has changed.

- - ### Method Detail

    - #### sorterChanged

          void sorterChanged(RowSorterEvent e)

      Notification that the `RowSorter` has changed. The event describes the scope of the change.
      Parameters:
        `e` - the event, will not be null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.